---
references:
- id: AguileraHow2021
  accessed:
    - year: 2021
      month: 5
      day: 25
  author:
    - family: Aguilera
      given: Miguel
    - family: Millidge
      given: Beren
    - family: Tschantz
      given: Alexander
    - family: Buckley
      given: Christopher L.
  citation-key: AguileraHow2021
  container-title: arXiv:2105.11203 [q-bio]
  issued:
    - year: 2021
      month: 5
      day: 24
  title: How particular is the physics of the Free Energy Principle?
  type: article-journal
  URL: http://arxiv.org/abs/2105.11203

- id: AkbayrakExtended2021
  accessed:
    - year: 2024
      month: 2
      day: 23
  author:
    - family: Akbayrak
      given: Semih
    - family: Bocharov
      given: Ivan
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: AkbayrakExtended2021
  container-title: Entropy
  DOI: 10.3390/e23070815
  ISSN: 1099-4300
  issue: '7'
  issued:
    - year: 2021
      month: 7
  language: en
  number: '7'
  page: '815'
  publisher: Multidisciplinary Digital Publishing Institute
  title: >-
    Extended Variational Message Passing for Automated Approximate Bayesian
    Inference
  type: article-journal
  URL: https://www.mdpi.com/1099-4300/23/7/815
  volume: '23'

- id: AyPredictive2008
  accessed:
    - year: 2012
      month: 10
      day: 2
  author:
    - family: Ay
      given: N.
    - family: Bertschinger
      given: N.
    - family: Der
      given: R.
    - family: Güttler
      given: F.
    - family: Olbrich
      given: E.
  citation-key: AyPredictive2008
  container-title: The European Physical Journal B - Condensed Matter and Complex Systems
  DOI: 10.1140/epjb/e2008-00175-0
  ISSN: 1434-6028
  issue: '3'
  issued:
    - year: 2008
  page: 329-339
  title: Predictive information and explorative behavior of autonomous robots
  type: article-journal
  volume: '63'

- id: BishopArtificial2021
  accessed:
    - year: 2023
      month: 3
      day: 8
  author:
    - family: Bishop
      given: J. Mark
  citation-key: BishopArtificial2021
  container-title: Frontiers in Psychology
  ISSN: 1664-1078
  issued:
    - year: 2021
  title: Artificial Intelligence Is Stupid and Causal Reasoning Will Not Fix It
  type: article-journal
  URL: https://www.frontiersin.org/articles/10.3389/fpsyg.2020.513474
  volume: '11'

- id: BroockmanWhen2020
  accessed:
    - year: 2022
      month: 1
      day: 25
  author:
    - family: Broockman
      given: David
    - family: Kalla
      given: Joshua
  citation-key: BroockmanWhen2020
  DOI: 10.31219/osf.io/m7326
  issued:
    - year: 2020
      month: 6
      day: 8
  language: en-us
  publisher: OSF Preprints
  title: >-
    When and why are campaigns' persuasive effects small? Evidence from the 2020
    US presidential election
  type: article
  URL: https://osf.io/m7326/

- id: CaoBinocular
  accessed:
    - year: 2022
      month: 2
      day: 13
  author:
    - family: Cao
      given: Robin
    - family: Pastukhov
      given: Alexander
    - family: Aleshin
      given: Stepan
    - family: Mattia
      given: Maurizio
    - family: Braun
      given: Jochen
  citation-key: CaoBinocular
  container-title: eLife
  container-title-short: eLife
  DOI: 10.7554/eLife.61581
  ISSN: 2050-084X
  page: e61581
  PMCID: PMC8352598
  PMID: '34369875'
  title: >-
    Binocular rivalry reveals an out-of-equilibrium neural dynamics suited for
    decision-making
  type: article-journal
  URL: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC8352598/
  volume: '10'

- id: CarhartHarrisSerotonin2017
  accessed:
    - year: 2021
      month: 6
      day: 14
  author:
    - family: Carhart-Harris
      given: Rl
    - family: Nutt
      given: Dj
  citation-key: CarhartHarrisSerotonin2017
  container-title: Journal of Psychopharmacology
  container-title-short: J Psychopharmacol
  DOI: 10.1177/0269881117725915
  ISSN: 0269-8811, 1461-7285
  issue: '9'
  issued:
    - year: 2017
      month: 9
  language: en
  page: 1091-1120
  title: 'Serotonin and brain function: a tale of two receptors'
  type: article-journal
  volume: '31'

- id: ClarkSurfing2015
  author:
    - family: Clark
      given: Andy
  citation-key: ClarkSurfing2015
  edition: Illustrated edition
  event-place: Oxford ; New York
  ISBN: 978-0-19-021701-3
  issued:
    - year: 2015
      month: 11
      day: 3
  language: English
  number-of-pages: '424'
  publisher: Oxford University Press
  publisher-place: Oxford ; New York
  title: 'Surfing Uncertainty: Prediction, Action, and the Embodied Mind'
  type: book

- id: CoxFactor2019
  accessed:
    - year: 2019
      month: 12
      day: 10
  author:
    - family: Cox
      given: Marco
    - family: Laar
      given: Thijs
      non-dropping-particle: van de
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: CoxFactor2019
  container-title: International Journal of Approximate Reasoning
  container-title-short: International Journal of Approximate Reasoning
  DOI: 10.1016/j.ijar.2018.11.002
  ISSN: 0888613X
  issued:
    - year: 2019
      month: 1
  page: 185-204
  title: >-
    A Factor Graph Approach to Automated Design of Bayesian Signal Processing
    Algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1811.03407
  volume: '104'

- id: DaCostaBayesian2021
  accessed:
    - year: 2021
      month: 10
      day: 21
  author:
    - family: Da Costa
      given: Lancelot
    - family: Friston
      given: Karl
    - family: Heins
      given: Conor
    - family: Pavliotis
      given: Grigorios A.
  citation-key: DaCostaBayesian2021
  container-title: arXiv:2106.13830 [math-ph, physics:nlin, q-bio]
  issued:
    - year: 2021
      month: 6
      day: 25
  language: en
  title: Bayesian Mechanics for Stationary Processes
  type: article-journal
  URL: http://arxiv.org/abs/2106.13830

- id: FristonFreeenergy2010
  author:
    - family: Friston
      given: Karl
  citation-key: FristonFreeenergy2010
  container-title: Nature Reviews Neuroscience
  DOI: 10.1038/nrn2787
  issue: '2'
  issued:
    - year: 2010
  page: '127'
  title: 'The free-energy principle: a unified brain theory?'
  type: article-journal
  volume: '11'

- id: FristonFreeEnergy2012
  accessed:
    - year: 2022
      month: 1
      day: 28
  author:
    - family: Friston
      given: Karl
    - family: Thornton
      given: Christopher
    - family: Clark
      given: Andy
  citation-key: FristonFreeEnergy2012
  container-title: Frontiers in Psychology
  ISSN: 1664-1078
  issued:
    - year: 2012
  title: Free-Energy Minimization and the Dark-Room Problem
  type: article-journal
  URL: https://www.frontiersin.org/article/10.3389/fpsyg.2012.00130
  volume: '3'

- id: FristonLife2013
  accessed:
    - year: 2013
      month: 7
      day: 22
  author:
    - family: Friston
      given: Karl
  citation-key: FristonLife2013
  container-title: Journal of The Royal Society Interface
  container-title-short: J. R. Soc. Interface
  DOI: 10.1098/rsif.2013.0475
  ISSN: 1742-5689, 1742-5662
  issue: '86'
  issued:
    - year: 2013
      month: 6
      day: 9
  language: en
  PMID: '23825119'
  title: Life as we know it
  type: article-journal
  volume: '10'

- id: GlymourWhen2007
  accessed:
    - year: 2022
      month: 1
      day: 15
  author:
    - family: Glymour
      given: Clark
  citation-key: GlymourWhen2007
  container-title: Philosophy of Science
  container-title-short: Philos. of Sci.
  DOI: 10.1086/521968
  ISSN: 0031-8248, 1539-767X
  issue: '3'
  issued:
    - year: 2007
      month: 7
  language: en
  page: 330-346
  title: When Is a Brain Like the Planet?
  type: article-journal
  URL: https://www.brainm.com/software/pubs/brain/Glymour-brain-planet.pdf
  volume: '74'

- id: HealdContextual2021
  accessed:
    - year: 2022
      month: 6
      day: 29
  author:
    - family: Heald
      given: James B.
    - family: Lengyel
      given: Máté
    - family: Wolpert
      given: Daniel M.
  citation-key: HealdContextual2021
  container-title: Nature
  DOI: 10.1038/s41586-021-04129-3
  ISSN: 1476-4687
  issue: '7889'
  issued:
    - year: 2021
      month: 12
  language: en
  number: '7889'
  page: 489-493
  publisher: Nature Publishing Group
  title: Contextual inference underlies the learning of sensorimotor repertoires
  type: article-journal
  volume: '600'

- id: HoPeople2022
  accessed:
    - year: 2022
      month: 6
      day: 3
  author:
    - family: Ho
      given: Mark K.
    - family: Abel
      given: David
    - family: Correa
      given: Carlos G.
    - family: Littman
      given: Michael L.
    - family: Cohen
      given: Jonathan D.
    - family: Griffiths
      given: Thomas L.
  citation-key: HoPeople2022
  container-title: Nature
  DOI: 10.1038/s41586-022-04743-9
  ISSN: 1476-4687
  issue: '7912'
  issued:
    - year: 2022
      month: 6
  language: en
  number: '7912'
  page: 129-136
  publisher: Nature Publishing Group
  title: People construct simplified mental representations to plan
  type: article-journal
  volume: '606'

- id: KayConstant2020
  accessed:
    - year: 2021
      month: 6
      day: 28
  author:
    - family: Kay
      given: Kenneth
    - family: Chung
      given: Jason E.
    - family: Sosa
      given: Marielena
    - family: Schor
      given: Jonathan S.
    - family: Karlsson
      given: Mattias P.
    - family: Larkin
      given: Margaret C.
    - family: Liu
      given: Daniel F.
    - family: Frank
      given: Loren M.
  citation-key: KayConstant2020
  container-title: Cell
  container-title-short: Cell
  DOI: 10.1016/j.cell.2020.01.014
  ISSN: 0092-8674, 1097-4172
  issue: '3'
  issued:
    - year: 2020
      month: 2
      day: 6
  language: English
  page: 552-567.e25
  PMID: '32004462'
  publisher: Elsevier
  title: >-
    Constant Sub-second Cycling between Representations of Possible Futures in
    the Hippocampus
  type: article-journal
  volume: '180'

- id: MaBayesian2021
  accessed:
    - year: 2021
      month: 11
      day: 16
  author:
    - family: Ma
      given: Wei Jin
    - family: Kording
      given: Konrad Paul
    - family: Goldreich
      given: Daniel
  citation-key: MaBayesian2021
  issued:
    - year: 2022
  title: Bayesian models of perception and action
  type: book
  URL: http://www.bayesianmodeling.com

- id: MathysBayesian2011
  accessed:
    - year: 2023
      month: 2
      day: 10
  author:
    - family: Mathys
      given: Christoph
    - family: Daunizeau
      given: Jean
    - family: Friston
      given: Karl J.
    - family: Stephan
      given: Klaas E.
  citation-key: MathysBayesian2011
  container-title: Frontiers in Human Neuroscience
  container-title-short: Front Hum Neurosci
  DOI: 10.3389/fnhum.2011.00039
  ISSN: 1662-5161
  issued:
    - year: 2011
      month: 5
      day: 2
  page: '39'
  PMCID: PMC3096853
  PMID: '21629826'
  title: A Bayesian Foundation for Individual Learning Under Uncertainty
  type: article-journal
  URL: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3096853/
  volume: '5'

- id: MillidgePredictive2020
  accessed:
    - year: 2021
      month: 4
      day: 26
  author:
    - family: Millidge
      given: Beren
    - family: Tschantz
      given: Alexander
    - family: Buckley
      given: Christopher L.
  citation-key: MillidgePredictive2020
  container-title: arXiv:2006.04182 [cs]
  issued:
    - year: 2020
      month: 10
      day: 5
  title: Predictive Coding Approximates Backprop along Arbitrary Computation Graphs
  type: article-journal
  URL: http://arxiv.org/abs/2006.04182

- id: MillidgeWhence2020
  accessed:
    - year: 2020
      month: 12
      day: 1
  author:
    - family: Millidge
      given: Beren
    - family: Tschantz
      given: Alexander
    - family: Buckley
      given: Christopher L.
  citation-key: MillidgeWhence2020
  container-title: arXiv:2004.08128 [cs]
  issued:
    - year: 2020
      month: 9
      day: 28
  language: en
  title: Whence the Expected Free Energy?
  type: article-journal
  URL: http://arxiv.org/abs/2004.08128

- id: OConnorCraving2008
  accessed:
    - year: 2022
      month: 3
      day: 5
  author:
    - family: O’Connor
      given: Mary-Frances
    - family: Wellisch
      given: David K.
    - family: Stanton
      given: Annette L.
    - family: Eisenberger
      given: Naomi I.
    - family: Irwin
      given: Michael R.
    - family: Lieberman
      given: Matthew D.
  citation-key: OConnorCraving2008
  container-title: NeuroImage
  container-title-short: Neuroimage
  DOI: 10.1016/j.neuroimage.2008.04.256
  ISSN: 1053-8119
  issue: '2'
  issued:
    - year: 2008
      month: 8
      day: 15
  page: 969-972
  PMCID: PMC2553561
  PMID: '18559294'
  title: Craving love? Enduring grief activates brain’s reward center
  type: article-journal
  URL: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2553561/
  volume: '42'

- id: OrorbiaPredictive2023
  accessed:
    - year: 2023
      month: 1
      day: 9
  author:
    - family: Ororbia
      given: Alexander
    - family: Mali
      given: Ankur
  citation-key: OrorbiaPredictive2023
  DOI: 10.48550/ARXIV.2301.01452
  issued:
    - year: 2023
  publisher: arXiv
  title: The Predictive Forward-Forward Algorithm
  type: article-journal
  URL: https://arxiv.org/abs/2301.01452
  version: '1'

- id: ParrActive2022
  author:
    - family: Parr
      given: Thomas
    - family: Pezzulo
      given: Giovanni
    - family: Friston
      given: Karl J.
  citation-key: ParrActive2022
  event-place: Cambridge, Massachusetts
  ISBN: 978-0-262-04535-3
  issued:
    - year: 2022
      month: 3
      day: 29
  language: English
  number-of-pages: '312'
  publisher: The MIT Press
  publisher-place: Cambridge, Massachusetts
  title: 'Active Inference: The Free Energy Principle in Mind, Brain, and Behavior'
  type: book

- id: ParrNeuronal2019
  author:
    - family: Parr
      given: Thomas
    - family: Markovic
      given: Dimitrije
    - family: Kiebel
      given: Stefan J.
    - family: Friston
      given: Karl J.
  citation-key: ParrNeuronal2019
  container-title: Scientific Reports
  container-title-short: Sci Rep
  DOI: 10.1038/s41598-018-38246-3
  ISSN: 2045-2322
  issue: '1'
  issued:
    - year: 2019
      month: 2
      day: 13
  language: en
  number: '1'
  page: '1889'
  publisher: Nature Publishing Group
  title: >-
    Neuronal message passing using Mean-field, Bethe, and Marginal
    approximations
  type: article-journal
  volume: '9'

- id: PorrForward2020
  accessed:
    - year: 2022
      month: 12
      day: 20
  author:
    - family: Porr
      given: Bernd
    - family: Miller
      given: Paul
  citation-key: PorrForward2020
  container-title: Adaptive Behavior
  DOI: 10.1177/1059712319851070
  ISSN: 1059-7123
  issue: '3'
  issued:
    - year: 2020
      month: 6
      day: 1
  language: en
  page: 181-194
  publisher: SAGE Publications Ltd STM
  title: Forward propagation closed loop learning
  type: article-journal
  volume: '28'

- id: TishbyInformation2000
  author:
    - family: Tishby
      given: Naftali
    - family: Pereira
      given: Fernando C
    - family: Bialek
      given: William
  citation-key: TishbyInformation2000
  container-title: arXiv:physics/0004057
  container-title-short: eprint arXiv:physics/0004057
  issued:
    - year: 2000
      month: 4
      day: 24
  title: The information bottleneck method
  type: article-journal
  URL: http://arxiv.org/abs/physics/0004057

- id: TishbyInformation2011
  author:
    - family: Tishby
      given: Naftali
    - family: Polani
      given: Daniel
  citation-key: TishbyInformation2011
  container-title: PERCEPTION-ACTION CYCLE
  contributor:
    - family: Cutsuridis
      given: Vassilis
    - family: Hussain
      given: Amir
    - family: Taylor
      given: John G
  issued:
    - year: 2011
  page: 601-636
  publisher: Springer
  title: Information theory of decisions and actions
  type: chapter

- id: vandeLaarForneyLab2018
  author:
    - family: Laar
      given: Thijs
      non-dropping-particle: van de
    - family: Cox
      given: Marco
    - family: Senoz
      given: Ismail
    - family: Bocharov
      given: Ivan
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: vandeLaarForneyLab2018
  container-title: Conference on Complex Systems
  issued:
    - year: 2018
  language: en
  page: '3'
  title: >-
    ForneyLab: A Toolbox for Biologically Plausible Free Energy Minimization in
    Dynamic Neural Models
  type: paper-conference
  URL: http://ccs2018.web.auth.gr/

- id: WilliamsPredictive2020
  accessed:
    - year: 2020
      month: 4
      day: 17
  author:
    - family: Williams
      given: Daniel
  citation-key: WilliamsPredictive2020
  container-title: Synthese
  container-title-short: Synthese
  DOI: 10.1007/s11229-018-1768-x
  ISSN: 1573-0964
  issue: '4'
  issued:
    - year: 2020
      month: 4
      day: 1
  language: en
  page: 1749-1775
  title: Predictive coding and thought
  type: article-journal
  volume: '197'
...
